View Class Reference

Class to intelligently handle Image Transforms. More...

`#include <View.h>`

## Public Member Functions

| View ()
| Whether to perform histogram equalization.
void | setMaxSize (unsigned int m)
| Set the maximum view port dimension.
unsigned int | getMaxSize ()
| Get the maximum allowed output size.
void | setAllowUpscaling (bool upscale)
| Set the allow_upscaling flag.
bool | allowUpscaling ()
| Get the allow_upscaling flag.
void | setEmbedICC (bool embed)
| Set the embed_icc flag.
bool | embedICC ()
| Get the embed_icc flag - disable in case of certain types of processing.
void | setMaxResolutions (unsigned int r)
| Set the maximum view port dimension.
unsigned int | getRequestWidth ()
| Get the size of the requested width.
void | setRequestWidth (unsigned int w)
| Set the size of the requested width.
unsigned int | getRequestHeight ()
| Get the size of the requested height.
void | setRequestHeight (unsigned int h)
| Set the size of the requested height.
unsigned int | getResolution ()
| Return the requested resolution.
float | getScale ()
| Return the scaling required in case our requested width or height is in between available resolutions.
void | setViewLeft (float x)
| Set the left co-ordinate of the viewport.
void | setViewTop (float y)
| Set the top co-ordinate of the viewport.
void | setViewWidth (float w)
| Set the width co-ordinate of the viewport.
void | setViewHeight (float h)
| Set the height co-ordinate of the viewport.
void | setImageSize (unsigned int w, unsigned int h)
| Set the source image pixel size.
void | setMaxLayers (int l)
| Limit the maximum number of quality layers we are allowed to decode.
void | setLayers (int l)
| Set the number of quality layers to decode, limiting to our max value.
int | getLayers ()
| Return the number of layers to decode.
unsigned int | getImageWidth ()
| Return the image width at our requested resolution.
unsigned int | getImageHeight ()
| Return the image height at our requested resolution.
unsigned int | getViewLeft ()
| Return the left pixel of the viewport.
unsigned int | getViewTop ()
| Return the top pixel of the viewport.
unsigned int | getViewWidth ()
| Return the pixel width of the viewport.
unsigned int | getViewHeight ()
| Return the pixel height of the viewport.
bool | viewPortSet ()
| Indicate whether the viewport has been set.
void | setRotation (float r)
| Set rotation.
float | getRotation ()
| Get rotation.
bool | floatProcessing ()
| Whether view requires floating point processing.
bool | requireHistogram ()
| Whether we require a histogram.

## Public Attributes

int | xangle
int | yangle
| Horizontal View.
bool | shaded
| Vertical View.
int | shade [3]
| Whether to use shading view.
bool | cmapped
| Shading incident light angles (x,y,z).
enum cmap_type | cmap
| Whether to modify colormap.
bool | inverted
| colormap
int | max_layers
| Whether to invert colormap.
int | layers
| Maximum number of quality layers allowed.
ColourSpaces | colourspace
| Number of quality layers.
std::vector< std::vector< float > > | ctw
| Requested colourspace.
int | flip
| Colour twist matrix.
bool | maintain_aspect
| Flip (1=horizontal, 2=vertical).
bool | allow_upscaling
| Indicate whether aspect ratio should be maintained.
bool | embed_icc
| Indicate whether images may be served larger than the source file.
CompressionType | output_format
| Indicate whether we should embed ICC profiles.
float | contrast
| Requested output format.
float | gamma
| Contrast adjustment requested by CNT command.
bool | equalization
| Gamma adjustment requested by GAM command.

## Detailed Description

Class to intelligently handle Image Transforms.

## Constructor & Destructor Documentation

## View()

View::View | ( |  | ) |

inline

Whether to perform histogram equalization.

Constructor

References allow_upscaling, cmap, cmapped, colourspace, contrast, embed_icc, equalization, flip, gamma, inverted, layers, maintain_aspect, max_layers, output_format, shade, shaded, and yangle.

## Member Function Documentation

## embedICC()

bool View::embedICC | ( |  | ) |

inline

Get the embed_icc flag - disable in case of certain types of processing.

Returns
  whether ICC profile should be embedded

References cmapped, colourspace, ctw, embed_icc, and shaded.

## setAllowUpscaling()

void View::setAllowUpscaling | ( | bool | upscale | ) |

inline

Set the allow_upscaling flag.

Parameters

  upscale | allow upscaling of source image

References allow_upscaling.

## setEmbedICC()

void View::setEmbedICC | ( | bool | embed | ) |

inline

Set the embed_icc flag.

Parameters

  embed | embed icc profile flag

References embed_icc.

## setImageSize()

void View::setImageSize | ( | unsigned int | w,
|  | unsigned int | h )

inline

Set the source image pixel size.

Parameters

  w | pixel width
  h | pixel height

## setLayers()

void View::setLayers | ( | int | l | ) |

inline

Set the number of quality layers to decode, limiting to our max value.

Parameters

  l | Number of layers to decode

References layers.

## setMaxLayers()

void View::setMaxLayers | ( | int | l | ) |

inline

Limit the maximum number of quality layers we are allowed to decode.

Parameters

  l | Max number of layers to decode

References max_layers.

## setMaxResolutions()

void View::setMaxResolutions | ( | unsigned int | r | ) |

inline

Set the maximum view port dimension.

Parameters

  r | number of availale resolutions

## setMaxSize()

void View::setMaxSize | ( | unsigned int | m | ) |

inline

Set the maximum view port dimension.

Parameters

  m | maximum viewport dimension

## setRequestHeight()

void View::setRequestHeight | ( | unsigned int | h | ) |

inline

Set the size of the requested height.

Parameters

  h | requested image height

## setRequestWidth()

void View::setRequestWidth | ( | unsigned int | w | ) |

inline

Set the size of the requested width.

Parameters

  w | requested image width

## setRotation()

void View::setRotation | ( | float | r | ) |

inline

Set rotation.

Parameters

  r | angle of rotation in degrees

## setViewHeight()

void View::setViewHeight | ( | float | h | ) |

Set the height co-ordinate of the viewport.

Parameters

  h | height resolution independent co-ordinate

## setViewLeft()

void View::setViewLeft | ( | float | x | ) |

Set the left co-ordinate of the viewport.

Parameters

  x | left resolution independent co-ordinate

## setViewTop()

void View::setViewTop | ( | float | y | ) |

Set the top co-ordinate of the viewport.

Parameters

  y | top resolution independent co-ordinate

## setViewWidth()

void View::setViewWidth | ( | float | w | ) |

Set the width co-ordinate of the viewport.

Parameters

  w | width resolution independent co-ordinate

The documentation for this class was generated from the following file:

- View.h